module Jekyll
  class RenderIntroBlock < Liquid::Tag

    def initialize(tag_name, text, tokens)
      super
      @text = text
    end

    require "kramdown"
    def render(context)
      "<p class='intro'>#{ @text }</p>"
    end

  end
end

Liquid::Template.register_tag('intro', Jekyll::RenderIntroBlock)